use std::{net::TcpListener, io::{Write, Read}};

fn main() {
    let listener = TcpListener::bind("127.0.0.1:4221").unwrap();

    for stream in listener.incoming() {
        match stream {
            Ok(mut _stream) => {
                println!("accepted new connection");

                let mut buf: [u8; 6] = [0; 6];

                _stream.read_exact(&mut buf).unwrap();

                let status = if buf[5] == b' ' {
                    "200 OK"
                } else {
                    "404 Not Found"
                };

                let res_headers = "";

                _stream.write(format!("HTTP/1.1 {status}\r\n{res_headers}\r\n").as_bytes()).unwrap();
            }
            Err(e) => {
                println!("error: {}", e);
            }
        }
    }
}
